Package Details: tracker-git 3.1.0.alpha-1

Git Clone URL: https://aur.archlinux.org/tracker-git.git (read-only, click to copy)
Package Base: tracker-git
Description: Desktop-neutral user information store, search tool and indexer
Upstream URL: https://wiki.gnome.org/Projects/Tracker
Licenses: GPL
Conflicts: tracker3
Provides: libtracker-sparql-3.0.so, tracker3
Submitter: fisch02
Maintainer: None
Last Packager: fisch02
Votes: 0
Popularity: 0.000000
First Submitted: 2020-09-13 09:25 (UTC)
Last Updated: 2021-01-12 12:55 (UTC)

Required by (17)

Sources (1)

Latest Comments

bittin commented on 2022-02-14 15:56 (UTC)

This PKGBUILD is broken for the new 3.3.0 Beta

adamant.pwn commented on 2021-09-26 19:26 (UTC) (edited on 2021-09-26 19:28 (UTC) by adamant.pwn)

Needs hotdoc in deps, but even with hotdoc fails:

29/33 tracker:data+slow / sparql                              OK              12.20s
30/33 tracker:sparql / sparql                                 OK               0.60s
Exception in callback TestHarness._run_tests.<locals>.test_done(<Task finishe...d the limit')>) at /usr/lib/python3.9/site-packages/mesonbuild/mtest.py:1836
handle: <Handle TestHarness._run_tests.<locals>.test_done(<Task finishe...d the limit')>) at /usr/lib/python3.9/site-packages/mesonbuild/mtest.py:1836>
Traceback (most recent call last):
  File "/usr/lib/python3.9/asyncio/streams.py", line 540, in readline
    line = await self.readuntil(sep)
  File "/usr/lib/python3.9/asyncio/streams.py", line 618, in readuntil
    raise exceptions.LimitOverrunError(
asyncio.exceptions.LimitOverrunError: Separator is not found, and chunk exceed the limit

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/asyncio/events.py", line 80, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1838, in test_done
    f.result()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1833, in run_test
    res = await test.run(self)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1377, in run
    await self._run_cmd(harness, cmd)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1443, in _run_cmd
    returncode, result, additional_error = await p.wait(self.runobj.timeout)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1269, in wait
    await complete_all(self.all_futures, timeout=timeout)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1177, in complete_all
    check_futures(done)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1167, in check_futures
    f.result()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1088, in read_decode
    line = decode(await reader.readline())
  File "/usr/lib/python3.9/asyncio/streams.py", line 549, in readline
    raise ValueError(e.args[0])
ValueError: Separator is not found, and chunk exceed the limit


Ok:                 30  
Expected Fail:      0   
Fail:               0   
Unexpected Pass:    0   
Skipped:            0   
Timeout:            0   

Full log written to /home/adamant/.cache/yay/tracker-git/src/build/meson-logs/testlog.txt
Traceback (most recent call last):
  File "/usr/lib/python3.9/asyncio/streams.py", line 540, in readline
    line = await self.readuntil(sep)
  File "/usr/lib/python3.9/asyncio/streams.py", line 618, in readuntil
    raise exceptions.LimitOverrunError(
asyncio.exceptions.LimitOverrunError: Separator is not found, and chunk exceed the limit

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/mesonbuild/mesonmain.py", line 227, in run
    return options.run_func(options)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1988, in run
    return th.doit()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1671, in doit
    self.run_tests(runners)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1810, in run_tests
    loop.run_until_complete(self._run_tests(runners))
  File "/usr/lib/python3.9/asyncio/base_events.py", line 642, in run_until_complete
    return future.result()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1904, in _run_tests
    await complete_all(futures)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1177, in complete_all
    check_futures(done)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1167, in check_futures
    f.result()
  File "/usr/lib/python3.9/asyncio/events.py", line 80, in _run
    self._context.run(self._callback, *self._args)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1838, in test_done
    f.result()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1833, in run_test
    res = await test.run(self)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1377, in run
    await self._run_cmd(harness, cmd)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1443, in _run_cmd
    returncode, result, additional_error = await p.wait(self.runobj.timeout)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1269, in wait
    await complete_all(self.all_futures, timeout=timeout)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1177, in complete_all
    check_futures(done)
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1167, in check_futures
    f.result()
  File "/usr/lib/python3.9/site-packages/mesonbuild/mtest.py", line 1088, in read_decode
    line = decode(await reader.readline())
  File "/usr/lib/python3.9/asyncio/streams.py", line 549, in readline
    raise ValueError(e.args[0])
ValueError: Separator is not found, and chunk exceed the limit
A connection to the bus can't be made
==> ERROR: A failure occurred in check().
    Aborting...
error making: tracker-git